import 'cx_1500n_plugin_platform_interface.dart';

class Cx1500nPlugin {
  Stream<String> get events {
    return Cx1500nPluginPlatform.instance.events;
  }

  Future<String?> getPlatformVersion() {
    return Cx1500nPluginPlatform.instance.getPlatformVersion();
  }

  Future<String?> connect() {
    return Cx1500nPluginPlatform.instance.connect();
  }

  Future<String?> disconnect() {
    return Cx1500nPluginPlatform.instance.disconnect();
  }

  Future<void> startInventory() {
    return Cx1500nPluginPlatform.instance.startInventory();
  }

  Future<String?> stopInventory() {
    return Cx1500nPluginPlatform.instance.stopInventory();
  }

  Future<void> setPower(int power) {
    return Cx1500nPluginPlatform.instance.setPower(power);
  }

  Future<String> read(int membank) {
    return Cx1500nPluginPlatform.instance.read(membank);
  }

  Future<void> startScan() {
    return Cx1500nPluginPlatform.instance.startScan();
  }

  Future<void> stopScan() {
    return Cx1500nPluginPlatform.instance.stopScan();
  }
}
